<?php
// app/api/session/valid

    header("Content-Type:application/json");
    include("../../../settings/dbconn.php");
    include("../../../settings/utils.php");
    
    // parametros obligatorios
    $parmsob = array("sessionid");
    if (!parametrosValidos($_GET, $parmsob)){
        badEnd("400", array("msg"=>"Parametros obligatorios " . implode(",", $parmsob)));
    }
    
    //Definicion de variables y almacenamiento de valores enviados por GET
    $out = new stdClass();
    $sessionid = $_GET["sessionid"];
    
    isSessionValid($db, $sessionid);
    
    // SI obtenemos el view, lo actualizamos
    if(isset($_GET['view']) && $_GET['view'] != ''){
        //Actualizamos la vista de el usuario
        $sql = "UPDATE users SET".
        "       view = ".$_GET['view'].
        "       WHERE sessionid = '".$sessionid."'";
        if (!$db->query($sql)){
            badEnd("500", array("msg"=>determinateDBError($db)));
        }
    }
    
    $sql = "SELECT  id, sessionid,  DATE_FORMAT(validthru, '%Y%m%d%H%i%s') vt, view ".
    "       FROM users ".
    "       WHERE sessionid = '".$sessionid."'";
    if (!$rs = $db->query($sql)){
        badEnd("500", array("msg"=>determinateDBError($db)));
    }
    
    $row = $rs->fetch_assoc();
    
    $out->id =(int)$row["id"];
    $out->sessionid = $row["sessionid"];
    $out->validthru = $row["vt"];
    $out->view = (int)$row['view'];
    
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>